/*
 * sctl - Bearcat scanner control program
 * Copyright (C) 2001 Ian Johnston <reaper@muppetlabs.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#ifndef _CONFIG_H_
#define _CONFIG_H_

/* Note: it is no longer necessary to change DEFAULT_PORT and DEFAULT_MODEL --
   it can be done via ~/.sctl now. */

/* the default serial port to use */
#define DEFAULT_PORT	"/dev/ttyS1"
/* the default model to use */
#define DEFAULT_MODEL	BC895XLT

/* the models we know about */
#define MODELUNKNOWN	-1
#define BC895XLT		0
#define BC245XLT		1
#define	BC780XLT		2
#define PRO2052			3

/* these are constants based on the BC895XLT and BC245XLT specs */
#define MAXMEM		300
#define BANKS		10

/* scanner model specific s-meter levels as reported by sctl status */
#define S_895_MIN	14
#define S_895_MAX	26

/* number of "elements" to have in an S-meter scale */
/* used by idreport for now */
#define MAX_S_SCALE	16

/* maximum line length we will read in through the serial port */
#define MAXLINELEN 	1024

/* version number of sctl software */
#define VERSION		"0.2.3"
/* dump/load file format version */
#define FFVERSION	"1"

/* make the program talk a lot */
#define DEBUG		0

#endif /* _CONFIG_H_ */
